#ifndef _MOUSE_H_
#define _MOUSE_H_

struct MouseState
{
  int x, y, buttons;
};

struct CursorShape
{
  unsigned AndMask[16];
  unsigned XorMask[16];
  int hot_x, hot_y;
};

extern int  MouseReset(int &);
extern void MouseShow();
extern void MouseHide();
extern void MouseRead(MouseState &);
extern void MouseSetPos(int, int);
extern void MouseGetPressedButtons(int, int &, int &, int &, int &);
extern void MouseGetReleasedButtons(int, int &, int &, int &, int &);
extern void MouseSetXRange(int, int);
extern void MouseSetYRange(int, int);
extern void SetMouseShape(CursorShape);
extern void SetMouseCursor(int, int);
extern void ReadMouseCount(int &, int &);
extern void SetHideRegion(int, int, int, int);
extern void SetDoubleSpeed(int);
extern void SetMouseSensitive(int, int, int);
extern void GetMouseSensitive(int &, int &, int &);
extern void SetInterruptFreq(int);
extern void GetMouseInfo(int &, unsigned char &);

#endif
